# Parle\RLexer::insertMacro

(PECL parle >= 0.5.1)

Parle\RLexer::insertMacro — Insert regex macro

### Description

public Parle\RLexer::insertMacro ( string `$name` , string `$regex` ) : void

Insert a regex macro, that can be later used as a shortcut and included in other regular expressions.

### Parameters

`name`

  Name of the macros.

`regex`

  Regular expression.

### Return Values

No value is returned.